#### Previous topic

scipy.sparse.linalg.inv

#### Next topic

scipy.sparse.linalg.expm_multiply

# scipy.sparse.linalg.expm

`scipy.sparse.linalg.``expm`(A)

  Compute the matrix exponential using Pade approximation.

  Parameters:

  A : (M,M) array_like or sparse matrix

  > 2D Array or Matrix (sparse or dense) to be exponentiated

  Returns:

  expA : (M,M) ndarray

  > Matrix exponential of A

  Notes

  This is algorithm (6.1) which is a simplification of algorithm (5.1).

  New in version 0.12.0.

  References

  [R18] | Awad H. Al-Mohy and Nicholas J. Higham (2009) “A New Scaling and Squaring Algorithm for the Matrix Exponential.” SIAM Journal on Matrix Analysis and Applications. 31 (3). pp. 970-989. ISSN 1095-7162